from .. import models

SLUG_MODEL_LIST = (
    'Territoire',
    'TypeAmbassadeur',
    'TypePaiement',
    'TypePartenaire',
    'TypeLien',
    'StatutJuridique',
    'ActiviteAPES',
    'DomaineActivite',
    'Fonction',
    'ParticulariteStructure',
)


def re_slug_all_fields(force=False):
    for modelname in SLUG_MODEL_LIST:
        model = getattr(models, modelname)
        re_slug_field(model, force)


def re_slug_field(model, force=False):
    for obj in model.objects.all():
        slug_content = getattr(obj, 'slug')
        if force or not slug_content:
            obj._slugify()
            obj.save()
