from django.core.management.base import BaseCommand

from ..base import re_slug_all_fields


class Command(BaseCommand):
    help = '(re)genère les slugfield'

    def add_arguments(self, parser):
        parser.add_argument(
            '--force',
            action='store_true',
            default=False,
            help="force la régénération des slugfield meme déjà rempli",
        )

    def handle(self, *args, **options):
        force = options['force']
        re_slug_all_fields(force)
